package com.engine.attendance.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 调整起算日期
 */
public enum AdjustStartingTimeEnum implements BaseEnum {
    NO_ADJUST("0","不调整"),
    NEXT_MONTH("1","调整为下月1日"),
    BY_SEGMENT_TIME("2","按分隔日期调整"),
    NOW_MONTH("3","调整为本月1日");

    private String key;
    private String value;

    AdjustStartingTimeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
